﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.78
@EndOfDesignText@
#IgnoreWarnings: 12

Sub Process_Globals
	
	Private BANano As BANano 'ignore
	
	Dim LeafletMap As BANanoLeafletMap

	Dim myMarkerMap As Map

	Dim Button_Paris As BANanoElement
	Dim Button_London As BANanoElement
	Dim Button_Berlin As BANanoElement

End Sub

Sub Init()
	
	myMarkerMap.Initialize
	
	BANano.GetElement("#DemoContainer").Empty
	
	BANano.GetElement("#DemoContainer").Append("<h1>Add/Remove Marker - Demo</h1>")
	
	LeafletMap.Initialize("#DemoContainer")
	
	LeafletMap.SetStyle($"{ "width": "800px", "height": "600px" }"$)
	
	' add a TileLayer...

	Dim TileLayer As BANanoLeafletTileLayer
	
	TileLayer.Initialize
	
	LeafletMap.AddTileLayer(TileLayer)
	
	LeafletMap.PanTo(50.703416,6.634032)
	
	LeafletMap.SetZoom(5)

	' Add Buttons	
	
	BANano.GetElement("#DemoContainer").Append("<button id='Button_Paris' />")
	Button_Paris = BANano.GetElement("#Button_Paris")
	Button_Paris.SetStyle($"{ "width": "200px", "height": "30px", "margin": "10px" }"$)
	Button_Paris.SetText("Add Paris-Marker")
	Button_Paris.On("click", Me, "buttonclick")

	BANano.GetElement("#DemoContainer").Append("<button id='Button_London' />")
	Button_London = BANano.GetElement("#Button_London")
	Button_London.SetStyle($"{ "width": "200px", "height": "30px", "margin": "10px" }"$)
	Button_London.SetText("Add London-Marker")
	Button_London.On("click", Me, "buttonclick")

	BANano.GetElement("#DemoContainer").Append("<button id='Button_Berlin' />")
	Button_Berlin = BANano.GetElement("#Button_Berlin")
	Button_Berlin.SetStyle($"{ "width": "200px", "height": "30px", "margin": "10px" }"$)
	Button_Berlin.SetText("Add Berlin-Marker")
	Button_Berlin.On("click", Me, "buttonclick")

End Sub

Sub ButtonClick(event As BANanoEvent)
  
	Dim SelectedButton As BANanoElement = BANano.GetElement("#" + event.ID)
  
	Dim Add As Boolean
  
	If SelectedButton.GetText.StartsWith("Add") Then
		Add = True
	End If
  
	Dim myMarker As BANanoLeafletMarker
  
	Select event.ID
	
		Case "Button_Paris"
			
			If Add Then
				
				myMarker.Initialize2( 48.856613, 2.352222 )
				LeafletMap.AddMarker(myMarker)
				myMarkerMap.Put("Paris", myMarker)
				
			Else
				
				myMarker = myMarkerMap.Get("Paris")
				LeafletMap.RemoveMarker(myMarker)
				
			End If
			
		Case "Button_London"
			
			If Add Then
				
				myMarker.Initialize2( 51.507351, -0.127758 )
				LeafletMap.AddMarker(myMarker)
				myMarkerMap.Put("London", myMarker)
				
			Else
				
				myMarker = myMarkerMap.Get("London")
				LeafletMap.RemoveMarker(myMarker)
				
			End If
			
		Case "Button_Berlin"
			
			If Add Then
				
				myMarker.Initialize2( 52.520008, 13.404954 )
				LeafletMap.AddMarker(myMarker)
				myMarkerMap.Put("Berlin", myMarker)
				
			Else
				
				myMarker = myMarkerMap.Get("Berlin")
				LeafletMap.RemoveMarker(myMarker)
				
			End If
			
	End Select

	If Add Then
		SelectedButton.SetText( SelectedButton.GetText.Replace("Add", "Remove") )
	Else
		SelectedButton.SetText( SelectedButton.GetText.Replace("Remove", "Add") )
	End If

  
End Sub